Name:       oma-ds-agent
Summary:    oma-ds-agent daemon for data sync
Version:    0.1.63
Release:    1
Group:      TO_BE/FILLED_IN
License:    Apache License, Version 2.0
Source0:    %{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sync-agent)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(memo)
BuildRequires:  pkgconfig(contacts-service2)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(aul)
BuildRequires:  expat-devel
BuildRequires:  cmake
Requires: sys-assert


%description
oma-ds-agent daemon (development headers)

%package -n ds-public-plugins
Summary:    DS Public Plugins
Group:      TO_BE_FILLED

%description -n ds-public-plugins
ds public plugins for sync-agent


%prep
%setup -q


%build
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}

if [ ! -d %{buildroot}/opt/dbspace ]
then
	mkdir -p %{buildroot}/opt/dbspace
fi

sqlite3 %{buildroot}/opt/dbspace/.omasyncagent.db "PRAGMA journal_mode = PERSIST; create table a(a); drop table a;" > /dev/null

%make_install


%clean
rm -rf %{buildroot}


%post
if [ ! -d /opt/dbspace ]
then
	mkdir /opt/dbspace
fi
if [ ! -d /etc/rc.d/rc3.d ]
then
	mkdir /etc/rc.d/rc3.d
fi
if [ ! -d /etc/rc.d/rc5.d ]
then
	mkdir /etc/rc.d/rc5.d
fi

if [ ! -f /etc/rc.d/rc3.d/S91oma-ds-agent ]
then
ln -s /etc/init.d/oma-ds /etc/rc.d/rc3.d/S91oma-ds-agent
fi

if [ ! -f /etc/rc.d/rc5.d/S91oma-ds-agent ]
then
	ln -s /etc/init.d/oma-ds /etc/rc.d/rc5.d/S91oma-ds-agent
fi

#/etc/init.d/oma-ds start


%preun
/etc/init.d/oma-ds stop


%postun

rm -f /tmp/agent_fw_event_omads*
rm -f /tmp/agent_fw_noti_reply_omads*

rm -f /etc/rc.d/rc3.d/S91oma-ds-agent
rm -f /etc/rc.d/rc5.d/S91oma-ds-agent

rm -f /opt/dbspace/.omasyncagent.db /opt/dbspace/.omasyncagent.db-journal

rm -rf /usr/share/oma-ds-cfg


%files
%attr(600,root,root) /opt/dbspace/.omasyncagent.db
%attr(600,root,root) /opt/dbspace/.omasyncagent.db-journal

%manifest oma-ds-agent.manifest
%defattr(-,root,root,-)
/usr/share/dbus-1/services/*
/usr/bin/oma-ds-agent

/usr/share/oma-ds-cfg/*

%defattr(700,root,root)
/etc/init.d/oma-ds

%files -n ds-public-plugins
%manifest ds-public-plugins.manifest
%defattr(-,root,root,-)
/usr/lib/sync-agent/ds-public/*
